# Markdaver - A web based markdown editor

This is a (ruby) rack application that uses a GREAT web interface (thanks
https://github.com/jbt/markdown-editor) to edit new or existent markdown files
with a nice preview side by side within the editor.

## Installation and Usage

You can install it as a gem, in the classic way:

    $ gem install markdaver

This will create an executable called `markdaver`, that can be invoked to
edit a file in any path (existent or new) given by the `MARKDOWN` env var.

    MARKDOWN="~/my/new/book/intro.md" markdaver

If you will prefer to clone the project, after clone, just go the main dir an
execute the `bundle exec rackup`, you can also use the environment variable
like so:

    MARKDOWN="~/my/new/book/intro.md" bundle exec rackup

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/ricardovaleriano/markdaver.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

