# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'markdaver/version'

Gem::Specification.new do |spec|
  spec.name          = "markdaver"
  spec.version       = Markdaver::VERSION
  spec.authors       = ["Ricardo Valeriano"]
  spec.email         = ["ricardo.valeriano@gmail.com"]

  spec.summary       = %q{Add local file autosave features to github.com/jbt/markdown-editor.}
  spec.description   = %q{Runs a local server so you can edit and local (auto) save markdown documents.}
  spec.homepage      = "https://github.com/ricardovaleriano/markdaver."
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "rack"
end
